import { defineConfig } from '@umijs/max';
import proxy from './proxy';
import authRoutes from './authRoutes';
import { theme } from 'antd';

const { REACT_APP_ENV } = process.env;

export default defineConfig({
  antd: {
    theme: {
      algorithm: theme.darkAlgorithm,
      token: {
        colorPrimary: '#3878e4',
      },
    },
  },
  access: {},
  model: {},
  initialState: {},
  request: {},
  // layout: {
  //   title: '@umijs/max',
  // },
  layout: false,
  routes: authRoutes,
  publicPath: process.env.NODE_ENV === 'production' ? './' : '/',
  npmClient: 'yarn',
  proxy: proxy[REACT_APP_ENV || 'dev'],
});
