function getcolumns(setdrawer) {
  return [
    {
      tab: '123',
      key: '1',
      columns: [
        {
          title: '基础信息',
          valueType: 'split',
        },
        {
          title: '用户名',
          dataIndex: 'accountName',
          formItemProps: {
            rules: [
              {
                required: false,
                message: '此项为必填项',
              },
            ],
          },
          initialValue: '默认值',
          hideInForm: false,
          convertValue: (value) => {
            return `标题：${value}`;
          },
          transform: (value) => {
            return {
              title: `${value}-转换`,
            };
          },
          search: false,
          render: (text, row) => {
            return <a onClick={() => {}}>{text}</a>;
          },
        },
        {
          title: '姓名',
          dataIndex: 'userName',
          key: 'userId',
          hideInForm: {
            accountName: {
              reverse: ['1', '2', '5'],
            },
            remark: ['3'],
          },
          search: false,
        },
        {
          title: '组织',
          dataIndex: 'departmentName',
          key: 'departmentId',
          valueType: 'Cascader',
          mode: 'multiple',
          fieldProps: {
            placeholder: '请选择',
          },
          formItemProps: {
            rules: [
              {
                required: false,
                message: '此项为必填项',
              },
            ],
          },
          options: {
            path: '/ngic-auth/sysDepartment/query/tree',
            params: {},
          },
        },
        {
          title: '工厂',
          dataIndex: 'factoryName',
          key: 'factoryIdList',
          valueType: 'select',
          fieldProps: {
            placeholder: '请选择',
            showSearch: true,
            mode: 'multiple',
            allowClear: true,
          },
          formItemProps: {
            rules: [
              {
                required: false,
                message: '此项为必填项',
              },
            ],
          },
          options: {
            path: '/ngic-auth/sysFactory/selectionBox',
            params: {},
          },
        },
        {
          title: '负责仓库',
          dataIndex: 'chargeStoreName',
          key: 'storeIdList',
          valueType: 'select',
          fieldProps: {
            placeholder: '请选择',
            showSearch: true,
            mode: 'multiple',
          },
          options: {
            path: '/ngic-auth/sysStore/selectionBox',
            linkParams: {
              factoryIdList: '',
            },
          },
          hideInTable:true,
        },
        {
          title: '角色',
          dataIndex: 'roleName',
          key: 'roleIdList',
          valueType: 'select',
          fieldProps: {
            placeholder: '请选择',
            showSearch: true,
            mode: 'multiple',
          },
          options: [{ label: '12', value: '12' }],
          hideInTable:true,

        },
        {
          title: '直属领导',
          dataIndex: 'parentName',
          key: 'parentId',
          valueType: 'select',
          fieldProps: {
            placeholder: '请选择',
            showSearch: true,
          },
          options: {
            path: '/ngic-auth/sysUser/queryParentSelectionByUserId',
            params: {},
          },
          hideInTable:true,

        },
        {
          title: '额外信息',
          valueType: 'split',
        },
        {
          title: '联系电话',
          dataIndex: 'telephone',
          formItemProps: {
            rules: [
              {
                required: false,
                message: '此项为必填项',
              },
            ],
          },
          search: false,
        },
        {
          title: '邮箱',
          dataIndex: 'mailNo',
          formItemProps: {
            rules: [
              {
                required: false,
                message: '此项为必填项',
              },
            ],
          },
          search: false,
        },
        {
          title: '备注',
          dataIndex: 'remark',
          valueType: 'editor',
          search: false,
          colProps: { span: 24 },
          initialValue: '<p>Hello <b>World!</b></p>',
          hideInTable:true,

        },
        {
          title: '上传样式-图片',
          dataIndex: 'uploadImage',
          key: 'uploadImage',
          valueType: 'uploadImage',
          fieldProps: {
            limit: 2,
          },
          formItemProps: {
            rules: [
              {
                required: false,
                message: '此项为必填项',
              },
            ],
          },
          hideInTable:true
        },
        {
          title: '列表可选择',
          valueType: 'formSelectList',
          rowKey: 'id',
          rowName: 'accountName',
          dataIndex: 'lists',
          hideInTable:true,
          colProps: {
            xs: 24,
            sm: 24,
          },
          columns: [
            {
              title: '用户名',
              dataIndex: 'accountName',
              colProps: {
                sm: 8,
              },
              editable: false,
            },
            {
              title: '姓名',
              dataIndex: 'userName',
              valueType: 'digit',
              colProps: {
                sm: 8,
              },
            },
            {
              title: '手机号',
              dataIndex: 'telephone',
              colProps: {
                sm: 8,
              },
            },
          ],
          path: '/ngic-auth/sysUser/query/page',
          linkParams: {
            accountName: 'userName',
          }, //params 则不联动
          search: false,
          rowSelection: {
            type: 'checkbox',
            getCheckboxProps: (record) => ({
              disabled: record.accountName == 'GF',
            }),
          },
        },
      ],
      pathconfig: {
        enableadd: true,
        enableedit: true,
        enabledelete: true,
        enabledetail: true,
      },
    },
    {
      tab: '456',
      key: '2',
      columns: [
        {
          title: '维修单号',
          dataIndex: 'repairOrderNo',
          key: 'repairOrderNo',
        },
        {
          title: '设备编号',
          dataIndex: 'equipmentNo',
          key: 'equipmentNo',
        },
        {
          title: '设备名称',
          dataIndex: 'equipmentName',
          key: 'equipmentName',
        },
        {
          title: '故障描述',
          dataIndex: 'faultDescription',
          key: 'faultDescription',
        },
        {
          title: '报修人员',
          dataIndex: 'repairUserName',
          key: 'repairUserName',
        },
        {
          title: '报修时间',
          dataIndex: 'repairTime',
          key: 'repairTimeList',
          valueType: 'dateTimeRange',
        },
        {
          title: '报修单号',
          dataIndex: 'repairNo',
          key: 'repairNo',
        },
        {
          title: '工单状态',
          dataIndex: 'statusName',
          key: 'statusName',
        },
      ],
      pathconfig: {
        enableadd: true,
        enableedit: true,
        enabledelete: true,
        enabledetail: true,
      },
    },
  ];
}
export default getcolumns;
